Skip to main content
PATCH
/
api
/
events
/
{event_id}
Update Event Endpoint
curl --request PATCH \
  --url https://api.example.com/api/events/{event_id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "date": "<string>",
  "end_date": "<string>",
  "event_type": "conference",
  "location": "<string>",
  "notes": "<string>",
  "status": "upcoming",
  "title": "<string>",
  "url": "<string>"
}
'
{
  "created_at": "<string>",
  "event_type": "conference",
  "id": "<string>",
  "status": "upcoming",
  "title": "<string>",
  "updated_at": "<string>",
  "date": "<string>",
  "end_date": "<string>",
  "location": "<string>",
  "notes": "<string>",
  "url": "<string>"
}

Path Parameters

event_id
string
required

Body

application/json

Partial update for an event.

date
string | null
end_date
string | null
event_type
enum<string> | null
Available options:
conference,
meetup,
workshop,
bootcamp,
webinar,
networking,
course
location
string | null
notes
string | null
status
enum<string> | null
Available options:
upcoming,
attended,
skipped,
cancelled
title
string | null
url
string | null

Response

Successful Response

Single event.

created_at
string
required
event_type
enum<string>
required
Available options:
conference,
meetup,
workshop,
bootcamp,
webinar,
networking,
course
id
string
required
status
enum<string>
required
Available options:
upcoming,
attended,
skipped,
cancelled
title
string
required
updated_at
string
required
date
string | null
end_date
string | null
location
string | null
notes
string | null
url
string | null